<!DOCTYPE html>
<html <?php language_attributes(); ?>>

<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width">
	<link href="/site-icon.png" rel="icon">
	<?php wp_head(); ?>

</head>

<body class="body">

<?php wp_body_open(); ?>



<header class="header">
    <div class="container">
        <div class="header__top">
            <div class="header__top-texts">
                <div class="header__top-text"> <? echo _e('Free shipping on all EU orders', 'blackrock'); ?> </div>
                <div class="header__top-text"> For her: <a href="https://white-diamonds.com" target="_blank">white-diamonds.com</a> </div>
            </div>
            <div class="header__top-logo">
                <img src="<? echo get_template_directory_uri(); ?>/img/style/ico_top-logo.svg" alt="">
            </div>
            <div class="header__top-right">
                
				<? include('blocks/search_top.php'); ?>
				
                <a href="/about-us/" class="header__top-link"> <? echo _e('About us', 'blackrock'); ?> </a>
				
				<? include('blocks/lang_switcher.php'); ?>

            </div>
        </div>
    </div>
    <div class="header__black js-sticky">
        <div class="container">
            <div class="header__row">
                <a href="/" class="header__logo">
                    <img src="<? echo get_template_directory_uri(); ?>/img/style/logo.svg" alt="">
                </a>
                <div class="header__brand"> <? echo _e('Premium phone accessories', 'blackrock'); ?> </div>


                <div class="nav__open">
                    <svg width="30" height="30" class="nav__open-ico">
                        <use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#ico_close"></use>
                    </svg>
                    <svg width="30" height="30" class="nav__open-ico">
                        <use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#ico_menu"></use>
                    </svg>
                    <div class="nav__open-text"> <? echo _e('Close', 'blackrock'); ?> </div>
                </div>


	<nav class="nav">
		<div class="nav__container">
			<div class="nav__wrap">
				<form action="" class="header__search">
					<input type="text" name="search" class="header__search-input" placeholder="Ich suche nach...">
					<button type="submit" class="header__search-btn">
						<svg width="17" height="17">
							<use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#ico_search"></use>
						</svg>
					</button>
				</form>
				<div class="nav__item">
					<a href="#" class="nav__item-link"> <? echo _e('Our products', 'blackrock'); ?> </a>
					<div class="nav__item-arrow">
						<svg width="6px" height="12px">
							<use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#ico_menu-arrow"></use>
						</svg>
					</div>
					
					<? include('blocks/header_our_products.php'); ?>

				</div>

				<? include('blocks/header_shop_by_device.php'); ?>

			</div>
		</div>
	</nav>
                <div class="header__controls">
                    <div class="header__control">
                        <div class="header__control-item js-open-window">
                            <div class="header__control-ico">
                                <svg width="19px" height="19px">
                                    <use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#ico_user"></use>
                                </svg>
                            </div>
                            <div class="header__control-name"> <? echo _e('Account', 'blackrock'); ?> </div>
                            <div class="header__control-arrow">
                                <svg width="6px" height="12px">
                                    <use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#ico_menu-arrow"></use>
                                </svg>
                            </div>
                        </div>
                        <div class="login js-window">
                            <div class="title-3 login__title"> <? echo _e('Account Login', 'blackrock'); ?> </div>
                            <form action="" class="login__form">
                                <div class="login__form-row">
                                    <input type="text" class="input-text" name="" placeholder="Your email…">
                                </div>
                                <div class="login__form-row">
                                    <input type="password" class="input-text" name="" placeholder="Your password…">
                                </div>
                                <div class="login__form-row login__form-row-flex">
                                    <label class="input-checkbox__wrap">
                                        <input type="checkbox"  class="input-checkbox">
                                        <span> <? echo _e('Keep me signed in', 'blackrock'); ?> </span>
                                    </label>
                                    <a href="#" class="login__forgot"> <? echo _e('Forgot password?', 'blackrock'); ?> </a>
                                </div>
                                <div class="login__form-row login__form-row_btn">
                                    <button type="submit" class="button button_block"> <? echo _e('Login now', 'blackrock'); ?> </button>
                                </div>
                                <div class="login__form-row login__form-row_btn">
                                    <a href="#" class="button button_block button_clear"> <? echo _e('Create your account', 'blackrock'); ?> </a>
                                </div>
                            </form>
                            <div class="title-3 login__title"> <? echo _e('OR login with', 'blackrock'); ?> </div>
                            <div class="login__socials">
                                <a href="#" class="login__social">
                                    <img src="<? echo get_template_directory_uri(); ?>/img/style/ico_google.svg" alt="">
                                    <span>Google</span>
                                </a>
                                <a href="#" class="login__social">
                                    <img src="<? echo get_template_directory_uri(); ?>/img/style/ico_facebook.svg" alt="">
                                    <span>Facebook</span>
                                </a>
                            </div>
                            <div class="login__close js-login-close">                                
                                <svg width="18" height="20">
                                    <use xlink:href="./svg/sprite.svg#ico_close"></use>
                                </svg>
                                 <? echo _e('Close', 'blackrock'); ?> 
                            </div>
                        </div>
                    </div>
                    <div class="header__control">
                        <div class="header__control-item">
                            <div class="header__control-ico">
                                <svg width="19px" height="19px">
                                    <use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#ico_rewards"></use>
                                </svg>
                                <span class="header__control-count">50€</span>
                            </div>
                            <div class="header__control-name pr0"> <? echo _e('Rewards', 'blackrock'); ?> </div>
                        </div>
                    </div>
                    <div class="header__control">
                        <div class="header__control-item js-open-window">
                            <div class="header__control-ico">
                                <svg width="19px" height="19px">
                                    <use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#ico_cart"></use>
                                </svg>
								
								<?
								global $woocommerce;
								$items = $woocommerce->cart->get_cart();
								?>
								
                                <span class="header__control-count"><? echo count($items); ?></span>
                            </div>
                            <div class="header__control-name"> <? echo _e('Cart', 'blackrock'); ?> </div>
                            <div class="header__control-arrow">
                                <svg width="6px" height="12px">
                                    <use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#ico_menu-arrow"></use>
                                </svg>
                            </div>
                        </div>
						
						<? include('blocks/mini_cart.php'); ?>
						
                    </div>
                </div>
            </div>
        </div>
    </div>
</header>


<? if( !is_front_page() && get_the_ID() != 160 && get_the_ID() != 536 && !is_category() ) { ?>

	<?
	global $post;
	
	global $wp_query;
	$cat_id = $wp_query->queried_object_id;
	
	//echo "<pre>";
	//print_r($cat_id);
	//echo "</pre>";
	?>

	<div class="breadcrumbs">
	   <div class="container">
		  <div class="breadcrumbs__wrap">
			 <div class="breadcrumbs__item breadcrumbs__link"> <a href="#">
				<span> <? echo _e('Home', 'blackrock'); ?> </span>
				</a>
			 </div>
			 <div class="breadcrumbs__item breadcrumbs__link"> <a href="#">
				<span> <? echo _e('Products', 'blackrock'); ?> </span>
				</a>
			 </div>
			 <div class="breadcrumbs__item breadcrumbs__link"> <a href="#">
				<span> <? echo _e('Cases', 'blackrock'); ?> </span>
				</a>
			 </div>
			 <div class="breadcrumbs__item breadcrumbs__current"> <span> <? echo $post->post_title; ?> </span>
			 </div>
		  </div>
	   </div>
	</div>
	
	<?php 
	/*if(function_exists('bcn_display'))
	{
	bcn_display();
	}*/
	?>


<? } ?>

