<?php
// Template Name: Shop By Device

get_header(); 


$args = array(
   'post_type'             => 'product',
   'post_status'           => 'publish',
   'ignore_sticky_posts'   => 1,
   'posts_per_page'        => '12',
   /*'tax_query'             => array(
        array(
            'taxonomy'  => 'product_cat',
            'field'     => 'term_id',
            'terms'     => array( $cat_id ),
            'operator'  => 'IN',
        )
   )*/
);

$query = new WP_Query($args);
$products_raw = $query->posts;

$base_colors = GetColors();


foreach( $products_raw as $key=>$item ) {
	
	$meta = get_post_meta( $item->ID );
	
	//$collection_id = $meta['collection'][0];
	//$collection_info = getCollectionByID( $collection_id );
	
	$url = get_post_permalink( $item->ID );
	
	$variations_full = GetProductVariations( $item->ID );
	$variations = array_slice( $variations_full, 0, 10000 );
	
	//$filter_exist = false;
	
	//$options = array();
	foreach( $variations_full as $offer ) {
		$options[ $offer['params']['device'] ] = $offer['params']['device'];
	}
	
	$cat = get_the_terms( $item->ID, 'product_cat' )[0];

	$products[ $key ] = array(
						"ID" => $item->ID,
						"category" => $cat->name,
						"post_title" => $item->post_title,
						"post_content" => $item->post_content,
						"img" => get_the_post_thumbnail_url( $item->ID ),
						"url" => $url,
						"variations" => $variations,
						);
						
	if( $_GET['device'] && !in_array( $_GET['device'], $options ) ) {
		//unset( $products[ $key ] );
	}					
	
}


if( $_GET['device'] ) {
	
	$device = $_GET['device'];
	
	$device_info = GetDeviceByTitle( $device );
	
	$sections = array();
	
	foreach( $products as $item ) {
		
		if( $item['variations'] ) {
			
			foreach( $item['variations'] as $offer ) {
				
				if( $offer['params']['case-type'] && $offer['params']['device'] ) {
					
					
					$params_raw = $offer['params'];
					unset( $params_raw['color-material'] );
					$params = http_build_query( $params_raw );
					$url = $product['url'].'?'.$params;
					
					$section_key = $offer['params']['device'].' '.$offer['params']['case-type'];
					$sections[ $section_key ][ $item['post_title'] ][] = array(
																	//"title" => $item['post_title'].' '.$offer['params']['color-material'],
																	"title" => $item['post_title'],
																	"url" => $item['url'].$url,
																	"params" => $offer['params'],
																	"img" => $item['img'],
																	"sku" => $offer['sku'],
																	"price" => $offer['price'],
																	"stock" => $offer['stock'],
																	);
																	
					if( $_GET['device'] ) {
						if( $offer['params']['device'] != $_GET['device'] ) {
							unset( $sections[ $section_key ] );
						}
					}

				}
				
			}
			
		}
		
	}
	
} else {
	$message = 'Choose your device';
}	


// Let's group by colors
foreach( $sections as $sect=>$items ) {
	
	foreach( $items as $item_name=>$variants ) {
		
		$colors = array();
		foreach( $variants as $option ) {
			$colors[] = $option['params']['color-material'];
		}
		
		$full_set = $variants[0];
		$full_set['colors'] = $colors;
		
		$new_sections[ $sect ][] = $full_set;
		
	}
	
	

}

$sections = $new_sections;

/*
echo "<pre>";
print_r($new_sections);
echo "</pre>";
*/
?>



	<div class="top-bg">
        <div class="top-bg__bg">
            <div class="top-bg__image-main">
                <img src="<? echo get_template_directory_uri(); ?>//img/style/top_bg2.jpg" alt="">
            </div>
            <div class="top-bg__image-second">
                <img src="<? echo get_template_directory_uri(); ?>//img/style/top-bg_image3.png" alt="">
            </div>
        </div>
		<?
		if( $device_info ) { 
		?>
	   
		   <div class="top-bg__content">
			  <div class="container">
				 <div class="top-bg__content-wrap">
					<h1 class="title-1"><? echo $device_info['title']; ?></h1>
					<p>
						<? echo $device_info['short_description']; ?>
					</p>
				 </div>
			  </div>
		   </div>
		   
		<? 
		} 
		?>   
		   
	</div>
	<div class="filters">
	   <div class="container">
		  <div class="filters__row">
			 <div class="filters__col filters__col_two">
				<div class="filters__title">Filter your selection</div>
				
				<? echo GetDeviceSelects( $_GET['device'] ); ?>
				
				<?/*?>
				<? if( $_GET['new'] ) { ?>
				
					<? echo GetDeviceSelects(); ?>
				
				<? } else { ?>
				
					<div class="filters__items">
					
						<div class="filters__item">
						  <select name="" class="js-select catalog-filter" data-placeholder="Chose device...">
							<option></option>
							 
							<? foreach( $options as $item ) { ?>
								<option 
									value="<? echo $item; ?>"
									<? if( $_GET['device'] == $item ) { ?> selected <? } ?>
								> <? echo $item; ?> </option>
							<? } ?> 
							 
						  </select>
						</div>

					</div>
					
				<? } ?>
				<?*/?>
				
				
			 </div>
			 
			<? if( $_GET['device'] ) { ?>
			 
				 <div class="filters__row-inner">
					<div class="filters__col filters__col_three">
					   <div class="filters__title">Availability</div>
					   <div class="filters__items">
						  <div class="filters__item">
							 <label class="radio-button">
							 <input class="radio-button__input" type="radio" name="aval" value="stock" <? if( $_GET['avail'] == 'stock' ) { ?> checked <? } ?>> <span>In stock</span>
							 </label>
							 <label class="radio-button">
							 <input class="radio-button__input" type="radio" name="aval" value="all" <? if( $_GET['avail'] == 'all' ) { ?> checked <? } ?>> <span>Show all</span>
							 </label>
						  </div>
					   </div>
					</div>
					<div class="filters__col">
					   <div class="filters__title">Price</div>
					   <div class="filters__items">
						  <div class="filters__item">
							 <label class="radio-button">
							 <input class="radio-button__input" type="radio" name="price"> <span>Highest</span>
							 </label>
							 <label class="radio-button">
							 <input class="radio-button__input" type="radio" name="price"> <span>Lowest</span>
							 </label>
						  </div>
					   </div>
					</div>
				 </div>
			 
			<? } ?> 
			 
		  </div>
	   </div>
	</div>
	
	
	<p style="font-size: 25px; text-align: center; margin-top: 50px;"> <? echo $message; ?> </p>
	
	<div class="products-m">
	   <div class="container">
	   
		<? $key=0; ?>
		<? foreach( $sections as $section_name=>$products ) { ?>
		
			<?
			/*echo $_GET['device'];
			
			if( $_GET['device'] ) {
				if( !strpos() ) { continue; }
			}*/
			?>
		
			<div class="products-m__wrap" <? if( $key > 2 ) { ?> style="display: none;" <? } ?>>
				 <h2 class="title-2"> <? echo $section_name; ?> </h2>
				 <div class="products-m__container">
				 
					<? foreach( $products as $item ) { ?>
						
						<a href="<? echo $item['url']; ?>" class="card">
						   <div class="card__img">
							  <img src="<? echo $item['img']; ?>" alt="">
							  <div class="card__colors">
									<? foreach( $item['colors'] as $color ) { ?>
										<?
										$img = $base_colors[ $color ]['color'];
										?>
										<div class="card__color" style="background-color: <?=$img;?>;"></div>
									<? } ?>
							  </div>
							  <div class="card__plash card__plash_red">New</div>
						   </div>
						   <div class="card__desc">
							  <div class="card__category"> <? echo $item['params']['case-type']; ?> </div>
							  <div class="card__name"> <? echo $item['title']; ?> </div>
							  <div class="card__price"> <? echo $item['price']; ?> €</div>
						   </div>
						</a>
					
					<? } ?>


				 </div>
			</div>
			
			<?
			$key++;
			?>
		
		<? } ?>
			
	
		
		<div class="loading">
			 <div class="loading__img">
				<svg width="65" height="65" viewBox="0 0 235.88 235.88">
				   <use xlink:href="#loading_icon1" />
				   <use xlink:href="#loading_icon2" />
				</svg>
			 </div>
			 <p>loading content</p>
		</div>
		  
		  
		  
	   </div>
	</div>
	
	<? if( $device_info['full_description'] ) { ?>
	
		<div class="about-m">
		   <div class="container">
			  <h2 class="title-2"><? echo $device_info['title']; ?></h2>
			  <div class="about-m__descr">
					<? echo $device_info['full_description']; ?>
			  </div>
		   </div>
		</div>
	   
	<? } ?> 
    
    <div class="discover-m">
        <div class="discover-m__bg">
            <img src="<? echo get_template_directory_uri(); ?>/img/style/discover-m_bg.jpg" alt="">
        </div>
        <div class="container">
            <div class="discover-m__info">
                <div class="discover-m__icon">
                    <img src="<? echo get_template_directory_uri(); ?>/img/style/icon_discover.png" alt="">
                </div>
                <div class="discover-m__row">
                    <div class="discover-m__title">Discover the
                        <br>new difference</div>
                    <div class="discover-m__button"> <a href="https://white-diamonds.com/" class="button button_white">discover white diamonds now</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
	
	<!--
	<div class="discover-m">
	   <div class="discover-m__bg">
		  <img src="./img/style/discover-m_bg.jpg" alt="">
	   </div>
	   <div class="container">
		  <div class="discover-m__info">
			 <div class="discover-m__icon">
				<img src="./img/style/icon_discover.png" alt="">
			 </div>
			 <div class="discover-m__row">
				<div class="discover-m__title">Discover the
				   <br/>new difference
				</div>
				<div class="discover-m__button"> <a href="#" class="button button_white">discover white diamonds now</a>
				</div>
			 </div>
		  </div>
	   </div>
	</div>
	-->
	
	</div>
	<svg width="0" height="0" style="position: absolute;">
	   <symbol id="loading_icon1">
		  <path class="cls-3" d="M117.94,0a4.8,4.8,0,0,0,0,9.6A108.26,108.26,0,1,1,68.15,21.69a4.8,4.8,0,1,0-4.42-8.52A118,118,0,1,0,117.94,0"
			 />
	   </symbol>
	   <symbol id="loading_icon2">
		  <path class="cls-3" d="M164.17,57.18a76.35,76.35,0,1,0,7.75,114.74,4.8,4.8,0,0,0-6.79-6.79A66.74,66.74,0,1,1,117.94,51.2,67.06,67.06,0,0,1,182,99.28a4.8,4.8,0,0,0,9.22-2.68,76.93,76.93,0,0,0-27.09-39.42"
			 />
		  <path class="cls-3" d="M174.22,103.41a4.8,4.8,0,0,0-6.79,6.79l18.06,18.05a4.79,4.79,0,0,0,6.79,0l18.06-18.05a4.8,4.8,0,0,0-6.79-6.79l-14.66,14.66Z"
			 />
	   </symbol>
	</svg>
		
		
	<style>

		.breadcrumbs { display: none; }
		.loading { display: none; }
		.title-1 { color: #fff; }
	 
	</style>
		


<?php
get_footer();