<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/archive-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.4.0
 */

defined( 'ABSPATH' ) || exit;

get_header( 'shop' );


global $wp_query;

//echo $wp_query->product_cat;
$cat_id = $wp_query->queried_object_id;
$cat_name = get_the_category_by_ID( $cat_id ); 
//get_category_by_slug(  );

$cat_meta = get_term_meta( $cat_id );

$base_colors = GetColors();

$products = GetCatalogProducts( $cat_id );


if( $_GET['device']  ) {
	
	foreach( $products as $key=>$item ) {
		
		foreach( $item['variations'] as $key2=>$offer ) {
			if( $offer['params']['device'] != $_GET['device'] ) {
				unset( $products[$key]['variations'][$key2] );
			}
		}
		
	}
	
	/*
	echo "<pre>";
	print_r($products);
	echo "</pre>";
	*/
	
}	


/*
echo "<pre>";
print_r($products);
echo "</pre>";
*/

?>


	<div class="top-bg">
	   <div class="top-bg__bg">
		  <div class="top-bg__image-main">
			 <img src="<? echo wp_get_attachment_image_url( $cat_meta['category_image'][0], 'full' ); ?>" alt="">
		  </div>
		  <div class="top-bg__image-second">
			 <img src="<? echo get_template_directory_uri(); ?>/img/style/top-bg_image2.png" alt="">
		  </div>
	   </div>
	   <div class="top-bg__content">
		  <div class="container">
			 <div class="top-bg__content-wrap">
				<h1 class="title-1"> <? echo $cat_name; ?> </h1>
				<p>
					<? echo $cat_meta['short_description'][0]; ?>
				</p>
			 </div>
		  </div>
	   </div>
	</div>
	<div class="filters">
	   <div class="container">
		  <div class="filters__row">
		  
		  
			
			 <div class="filters__col filters__col_two catalog-filter">
				<div class="filters__title">Filter your selection</div>
				
				<? echo GetDeviceSelects( $_GET['device'] ); ?>
				
				<?/*?>
				<div class="filters__items">
				
					<div class="filters__item">
					  <select name="" class="js-select" data-placeholder="Chose device...">
						<option></option>
						 
						<? foreach( $options as $item ) { ?>
							<option 
								value="<? echo $item; ?>"
								<? if( $_GET['device'] == $item ) { ?> selected <? } ?>
							> <? echo $item; ?> </option>
						<? } ?> 
						 
					  </select>
					</div>

				</div>
				<?*/?>
				
				<!--
				<div class="filters__items">
				   <div class="filters__item">
					  <select name="" class="js-select" data-placeholder="Chose manufacturer...">
						 <option></option>
						 <option value="">Apple</option>
					  </select>
				   </div>
				   <div class="filters__item">
					  <select name="" class="js-select" data-placeholder="Chose model...">
						 <option></option>
						 <option value="">Chose model...</option>
					  </select>
				   </div>
				</div>
				-->
				
			 </div>
			 
			<?
			$menu_name = 'top-1';
			$locations = get_nav_menu_locations();
			$menu_items = wp_get_nav_menu_items( $locations[ $menu_name ] );
			
			//print_r( $menu_items );
			?>
 

			<div class="filters__col">
				<div class="filters__title">Chose device category</div>
				<div class="filters__items">
				   <div class="filters__item">
					  <select name="" class="js-select change-category-device" data-placeholder="Please select your category..."
						onchange="if (this.value) top.location.href=this.value;"
					  >
						 <option></option>
						 
						<? foreach( $menu_items as $cat ) { ?>
							<option 
								value="<? echo $cat->url; ?>" 
								<? if( $cat_name == $cat->title ) { ?> selected <? } ?>
							>  
								<? echo $cat->title; ?>
							</option>
						<? } ?>
						
					  </select>
				   </div>
				</div>
			</div>

			 
		  </div>
	   </div>
	</div>
	<div class="promo">
	   <div class="container">
	   
	   
		<? foreach( $products as $key=>$product ) { ?>
		
			<?
			if( count($product['variations']) == 0 ) { continue; }
			?>
	   
			<div class="promo__item">
			
				<? if(($key % 2) != 0) { ?> 
				 
					<div class="promo__img">
						<img src="<? echo $product['img']; ?>" alt="">
					</div>
				 
				<? } ?> 
			
				 <div class="promo__content">
					<h2 class="title-2"> <? echo $product['post_title']; ?> </h2>
					<p>
						<? echo $product['post_content']; ?>
					</p>
					<div class="sliders  owl-carousel js-cards-slider-promo">
					
						<? foreach( $product['variations'] as $variant ) { ?>
						
							<?
							$title = $variant['title'].' '.$variant['params']['case-type'].' for '.$variant['params']['device'];
							
							unset( $variant['params']['color-material'] );
							$params = http_build_query( $variant['params'] );
							
							$url = $product['url'].'?'.$params;
							
							if( !$variant['img'] ) { $img = $product['img']; } else { $img = $variant['img']; }
							//$img = 
							?>
						
							<a href="<? echo $url; ?>" class="card">
							  <div class="card__img">
								 <img src="<? echo $img; ?>" alt="">
								 
								<div class="card__colors">

									<? foreach( $variant['colors'] as $color ) { ?>
										<?
										$img = $base_colors[ $color ]['color'];
										?>
										<div class="card__color" style="background-color: <?=$img;?>;"></div>
									<? } ?>

                                </div>
								 
								 <div class="card__plash card__plash_red">New</div>
							  </div>
							  <div class="card__desc">
								 <div class="card__category"> <? echo $variant['params']['case-type']; ?> </div>
								 <div class="card__name"> <? echo $title; ?> </div>
								 <div class="card__price"> from <? echo $variant['price']; ?> € </div>
							  </div>
							</a>
					   
						<? } ?>

					</div>
				 </div>
				 
				<? if(($key % 2) == 0) { ?> 
				 
					<div class="promo__img">
						<img src="<? echo $product['img']; ?>" alt="">
					</div>
				 
				<? } ?> 
				 
			</div>

		<? } ?>  
		  
		  
		  
			<div class="loading">
				 <div class="loading__img">
					<svg width="65" height="65" viewBox="0 0 235.88 235.88">
					   <use xlink:href="#loading_icon1" />
					   <use xlink:href="#loading_icon2" />
					</svg>
				 </div>
				 <p>loading content</p>
			</div>
			
	   </div>
	</div>


	<div class="about-m">
	   <div class="container">
		  <h2 class="title-2">About our <? echo $cat_name; ?></h2>
		  <div class="about-m__descr">
			
			<? echo $cat_meta['full_description'][0]; ?>
			
		  </div>
	   </div>
	</div>


	<div class="discover-m">
	   <div class="discover-m__bg">
		  <img src="<? echo get_template_directory_uri(); ?>/img/style/discover-m_bg.jpg" alt="">
	   </div>
	   <div class="container">
		  <div class="discover-m__info">
			 <div class="discover-m__icon">
				<img src="<? echo get_template_directory_uri(); ?>/img/style/icon_discover.png" alt="">
			 </div>
			 <div class="discover-m__row">
				<div class="discover-m__title">Discover the
				   <br/>new difference
				</div>
				<div class="discover-m__button"> <a href="#" class="button button_white">discover white diamonds now</a>
				</div>
			 </div>
		  </div>
	   </div>
	</div>
	</div>
	<svg width="0" height="0" style="position: absolute;">
	   <symbol id="loading_icon1">
		  <path class="cls-3" d="M117.94,0a4.8,4.8,0,0,0,0,9.6A108.26,108.26,0,1,1,68.15,21.69a4.8,4.8,0,1,0-4.42-8.52A118,118,0,1,0,117.94,0"
			 />
	   </symbol>
	   <symbol id="loading_icon2">
		  <path class="cls-3" d="M164.17,57.18a76.35,76.35,0,1,0,7.75,114.74,4.8,4.8,0,0,0-6.79-6.79A66.74,66.74,0,1,1,117.94,51.2,67.06,67.06,0,0,1,182,99.28a4.8,4.8,0,0,0,9.22-2.68,76.93,76.93,0,0,0-27.09-39.42"
			 />
		  <path class="cls-3" d="M174.22,103.41a4.8,4.8,0,0,0-6.79,6.79l18.06,18.05a4.79,4.79,0,0,0,6.79,0l18.06-18.05a4.8,4.8,0,0,0-6.79-6.79l-14.66,14.66Z"
			 />
	   </symbol>
	</svg>
	
	
	<style>
		.breadcrumbs { display: none; }
		.loading { display: none; }
		.title-1 { color: #fff; }
	</style>


<?
get_footer( 'shop' );
