<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header( 'shop' ); ?>


<?
global $post;

$meta = get_post_meta( $post->ID );
$gallery = explode( ',', $meta['_product_image_gallery'][0] );

$attributes = unserialize( $meta['_product_attributes'][0] );
$colors = GetColors();
$cases = GetCases();

$handle= new WC_Product_Variable( $post->ID );
$variations = $handle->get_children();

foreach( $variations as $item_id ) {
	
	$item = get_post( $item_id );
	
	$meta2 = get_post_meta( $item->ID );
	
	$params = array();
	$params_raw = explode( ',', $item->post_excerpt );
	
	foreach( $params_raw as $param ) {
		$raw = explode( ': ', $param );
		
		$key = strtolower( str_replace( array(' ', '/'), '-', trim($raw[0]) ) );
		
		$params[ $key ] = trim($raw[1]);
		
	}	
	
	if( $meta2['_thumbnail_id'][0] ) {
		$img = wp_get_attachment_image_url ( $meta2['_thumbnail_id'][0], 'full' ); 
	} else { 
		$img = '';
	}
	
	$variations2[] = array(
							"ID" => $item->ID,
							"params" => $params,
							"sku" => $meta2['_sku'][0],
							"price" => $meta2['_regular_price'][0],
							"stock" => $meta2['_stock'][0],
							"img" => $img,
							);
	
	//$options[] = get_post( $item );
}


$args = array( 
				"post_type" => "product_reviews",
				'post_status'   => 'publish',
				"meta_key" => "product_id",
				"meta_value" => $post->ID,
				);
$reviews = get_posts( $args );

/*
echo "<pre>";
print_r( $variations2 );
echo "</pre>";
*/
?>




<div class="product-m">
   <div class="container">
      <div class="product-m__item">
         <div class="product-m__image-wrap">
            <div class="product-m__image sliders sliders_five owl-carousel js-cards-slider-6">
			
				<? foreach( $gallery as $item ) { ?>
			
					<div class="card">
					  <div class="card__img">
						 <img src="<? echo wp_get_attachment_url( $item ); ?>" alt="">
						 <div class="card__plash card__plash_red">New</div>
					  </div>
					</div>
				
				<? } ?>

            </div>
         </div>
		 
		 <img src="<? echo wp_get_attachment_url( $gallery[0] ); ?>" class="gallery-default" style="display: none;" />
		 
         <div class="product-m__info">
            <div class="product-m__row">
               <?php if ( function_exists( 'ADDTOANY_SHARE_SAVE_KIT' ) ) { ADDTOANY_SHARE_SAVE_KIT(); } ?>
               <div class="product-m__group">
                  <h2 class="product-m__title title-2"> <? echo $post->post_title; ?> </h2>
                  <div class="product-m__rating">
				  
					<? if( count($reviews) > 0 ) { ?>
					
						<?
						$rating_sum = 0;
						foreach( $reviews as $review ) {
							$rating = get_post_meta( $review->ID, 'rating' )[0];
							$rating_sum += $rating;
						}
						
						$averag_rate = $rating_sum / count($reviews);
						?>
					  
						<? echo ShowRatingHTML( $averag_rate ); ?>
					
					<? } ?>
					 
                  </div>
               </div>
               <div class="product-m__price">
					<? if( count( $attributes ) > 1 ) { ?> from <? } ?>
				   
					<? echo $meta['_price'][0]; ?> €
			   </div>
            </div>
			
            <div class="product-m__descr">
			
				<?
				$text = $post->post_content;

				if( strlen( $text ) > 300 ) {
					$first = mb_substr($text, 0, 300);
					$second = mb_substr($text, 301, 10000);
				?>
					<? echo $first; ?>
					
					<span class="text-hidden" style="display: none;">
						<? echo $second; ?>
					</span>
					
					<a href="#" class="read-more">[read more]</a>
					
					<script>
						jQuery('.read-more').click(function() {
							
							jQuery('.text-hidden').show();
							jQuery(this).hide();
							
							return false;
							
						});
					</script>
					
				<? } else { ?>
				
					<? echo $text; ?>
				
				<? } ?>
				
            </div>
			
			<? include('BLOCKS/variations.php'); ?>
			
         </div>
      </div>
   </div>
</div>
<div class="info-m">
   <div class="container">
      <div class="info-m__wrap">
	  
		<? include('BLOCKS/bundle.php'); ?>
		 
         <div class="info-m__des">
            <div class="info-m__des-item">
               <div class="info-m__des-title">Delivery</div>
               <div class="info-m__qw">
                  <div class="info-m__qw-title">Free Shipping within the EU</div>
                  <div class="info-m__qw-row">
                     <div class="info-m__qw-icon">
                        <svg>
                           <use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#icon_time" />
                        </svg>
                     </div>
                     <div class="info-m__qw-descr">Delivery time: 2-3 days</div>
                  </div>
               </div>
               <div class="info-m__qw info-m__qw_mb">
                  <div class="info-m__qw-title">International Shipping</div>
                  <div class="info-m__qw-row">
                     <div class="info-m__qw-icon">
                        <svg>
                           <use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#icon_time" />
                        </svg>
                     </div>
                     <div class="info-m__qw-descr">Delivery time: 4-6 days</div>
                  </div>
                  <div class="info-m__qw-row">
                     <div class="info-m__qw-icon">
                        <svg>
                           <use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#icon_coins" />
                        </svg>
                     </div>
                     <div class="info-m__qw-descr">Fee: 5.99 €</div>
                  </div>
               </div>
               <div class="info-m__des-button"><a href="#" class="button button_gray">view all delivery information</a>
               </div>
            </div>
            <div class="info-m__des-item">
               <div class="info-m__des-title">What we offer</div>
               <div class="info-m__as">
                  <div class="info-m__as-item">
                     <div class="info-m__as-icon">
                        <img src="<? echo get_template_directory_uri(); ?>/img/style/icon_check.svg" alt="">
                     </div>
                     <div class="info-m__as-descr">Free shipping for all deliveries within the European Union.</div>
                  </div>
                  <div class="info-m__as-item">
                     <div class="info-m__as-icon">
                        <img src="<? echo get_template_directory_uri(); ?>/img/style/icon_check.svg" alt="">
                     </div>
                     <div class="info-m__as-descr">We offer secure shopping with SSL encryption & secure payments.</div>
                  </div>
                  <div class="info-m__as-item">
                     <div class="info-m__as-icon">
                        <img src="<? echo get_template_directory_uri(); ?>/img/style/icon_check.svg" alt="">
                     </div>
                     <div class="info-m__as-descr">Black Rock combines unique design and technology with high quality raw
                        materials.
                     </div>
                  </div>
               </div>
               <div class="info-m__des-button"><a href="#" class="button button_gray">Learn more about us</a>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>

<?
$image = wp_get_attachment_url( $meta['big_banner'][0] );
?>

<? if( $image ) { ?>
	<div class="image-m">
	   <div class="container">
		  <div class="image-m__wrap">
			 <img src="<? echo $image; ?>" alt="">
		  </div>
	   </div>
	</div>
<? } ?>


<?
/*echo "<pre>";
print_r($meta);
echo "</pre>";*/

$image = wp_get_attachment_url( $meta['features_image'][0] );

?>

<? if( $image || $features || $meta['features_text'][0] ) { ?>

	<div class="product-info">
	   <div class="container">
		  <div class="product-info__wrap">
			 <div class="product-info__info">
			 
				
			 
				<div class="product-info__title"><? echo $post->post_title; ?> Collection</div>
				<div class="product-info__descr">
					<? echo $meta['features_text'][0]; ?>				
				</div>

				
				<?
				$features = explode("\n", $meta['features'][0]);
				foreach( $features as $key=>$item ) { if( $item == '' ) { unset( $features[$key] ); } }
				//print_r($features);
				?>
				
				<? if( is_array($features) && count($features) > 0 ) { ?>
					<div class="product-info__subtitle">Features & Specifications</div>
					<div class="product-info__list">
					   <ul>

						<? foreach( $features as $item ) { ?>
							<? if( trim($item) == '' ) { continue; } ?>
					   
							<li> <? echo $item; ?> </li>
						  
						<? } ?>  

					   </ul>
					</div>
				<? } ?>
				
			 </div>
			 
			<?
			$images = explode(',', $meta['features_image'][0]);
			?>
			 
			 <div class="product-info__image sliders sliders_seven owl-carousel js-cards-slider-7">
				<? foreach( $images as $item ) { ?>
				
					<?
					$img = wp_get_attachment_image_url ( $item, 'full' ); 
					?>
				
					<div class="product-info__image-item">
					   <img src="<? echo $img; ?>" alt="">
					</div>
				<? } ?>
			 </div>
		  </div>
	   </div>
	</div>

<? } ?>


<? 
if( is_user_logged_in() ) {
	include('BLOCKS/reviews.php'); 
}
?>

<? include('BLOCKS/related.php'); ?>





</div>
<svg width="0" height="0" style="position: absolute;">
   <symbol id="loading_icon1">
      <path class="cls-3" d="M117.94,0a4.8,4.8,0,0,0,0,9.6A108.26,108.26,0,1,1,68.15,21.69a4.8,4.8,0,1,0-4.42-8.52A118,118,0,1,0,117.94,0"
         />
   </symbol>
   <symbol id="loading_icon2">
      <path class="cls-3" d="M164.17,57.18a76.35,76.35,0,1,0,7.75,114.74,4.8,4.8,0,0,0-6.79-6.79A66.74,66.74,0,1,1,117.94,51.2,67.06,67.06,0,0,1,182,99.28a4.8,4.8,0,0,0,9.22-2.68,76.93,76.93,0,0,0-27.09-39.42"
         />
      <path class="cls-3" d="M174.22,103.41a4.8,4.8,0,0,0-6.79,6.79l18.06,18.05a4.79,4.79,0,0,0,6.79,0l18.06-18.05a4.8,4.8,0,0,0-6.79-6.79l-14.66,14.66Z"
         />
   </symbol>
</svg>


<?php
get_footer( 'shop' );
?>









<?php
/*
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header( 'shop' ); ?>

	<?php

		do_action( 'woocommerce_before_main_content' );
	?>

		<?php while ( have_posts() ) : ?>
			<?php the_post(); ?>

			<?php wc_get_template_part( 'content', 'single-product' ); ?>

		<?php endwhile; // end of the loop. ?>

	<?php

		do_action( 'woocommerce_after_main_content' );
	?>

	<?php

		do_action( 'woocommerce_sidebar' );
	?>

<?php
get_footer( 'shop' );
*/?>